package com.jasamedika.medifirst2000.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.jasamedika.medifirst2000.dao.BridgingDao;
import com.jasamedika.medifirst2000.dao.KelompokPasienDao;
import com.jasamedika.medifirst2000.dao.PendidikanDao;
import com.jasamedika.medifirst2000.entities.KelompokPasien;
import com.jasamedika.medifirst2000.entities.Pendidikan;
import com.jasamedika.medifirst2000.service.BridgingService;

/**
 * @author Salman
 *
 */
@Service("bridgingService")
public class BridgingServiceImpl extends BaseVoServiceImpl implements BridgingService {

	@Autowired
	private BridgingDao bridgingDao;

	@Autowired
	private PendidikanDao pendidikanDao;

	@Autowired
	private KelompokPasienDao kelompokPasienDao;

	@Override
	public List<Map<String, Object>> getJadwalKlinik() {
		return bridgingDao.getJadwalKlinik();
	}

	@Override
	public String getTanggalJadwal(Integer idDataJadwal) {
		return bridgingDao.getDay(idDataJadwal);
	}

	@Override
	public List<Map<String, Object>> getJadwalKlinikbyId(Integer idDokter, Integer idKlinik, Integer tanggal) {
		return bridgingDao.getJadwalKlinikbyId(idDokter, idKlinik, tanggal);
	}

	@Override
	public Pendidikan findByIdPendidikan(Integer id) {
		return pendidikanDao.findByIdPendidikan(13);
	}

	@Override
	public KelompokPasien findKelompokPasienById(Integer id) {
		return kelompokPasienDao.findById(id);
	}

}
